/*Ebru Zorlu, zorlu.ebru@googlemail.com Quelle: http://de.wikipedia.org/wiki/Qt_%28Bibliothek%29*/

#include <QApplication>
#include <QLabel>
#include "mandelbrotmenge.hpp"
#include "complexfractalrenderer.hpp"
#include "graycolormapper.hpp"

int main (int argc, char **argv) {
	/*Basis*/
	QApplication app(argc, argv);
	/*Fenster mit Titel erzeugen*/
	QLabel window;
	window.setWindowTitle("Blatt9");
	/*Bild in image anzeigen*/
	QImage image = ComplexFractalRenderer(new Mandelbrotmenge(), new GrayColorMapper()).render();
  window.setPixmap(QPixmap::fromImage(image));
	/*Fenster anzeigen*/
	window.show();
	return app.exec();
}
